#539 hover over preview oddities

open
nobody
None
1
2014-02-17
2013-09-10
Anonymous
No

My experience with SVN version 2.6.3 (SVN 4157:4158M) under Windows 7:

1-When I am using the root (main) file, hover over preview works with $...$, \[...\], and all \begin{..}...\end{..} in math and AMS math constructs when I hover over the \begin part. It does not work with any other environment that starts with \begin and does not work with graphic files or \includegraphics.

2-When I am using a file that is not the main file and has been used by in \input command in the root file, the ONLY constructs for which hover over preview works are $...$ and $\[...\]. It does not work with ANY \begin{..}...\end{..} construct and does not work with graphics either.

Related

Feature Requests: #539

Discussion

  • Denis Bitouzé
    Denis Bitouzé
    2013-09-10

    Mine, on Linux with TeXstudio 2.6.3, after commit 1769af, needs to
    differentiate before/after giving a name to the file.

    Hover over preview, in both the main and slave files:

    1. before giving a name to the root (main) file:
      1. doesn't works with $...$, \[...\], and all
        \begin{...}...\end{...} in math and AMS math constructs when I
        hover over the \begin part,
      2. does work with \includegraphics, within figure
        environment,
      3. doesn't work with \includegraphics, outside figure
        environment,
    2. after giving a name to the root (main) file:
      1. does works with $...$, \[...\], and all
        \begin{...}...\end{...} in math and AMS math constructs when I
        hover over the \begin part,
      2. does work with \includegraphics, within figure
        environment,
      3. does work with \includegraphics, outside figure
        environment, but only for new inserted ones.

    (Not easy to track down!)

     
  • Okay, fixed in latest revision

    On 10.09.2013 08:33, "Denis Bitouzé" wrote:

    Mine, on Linux with TeXstudio 2.6.3, after commit 1769af, needs to
    differentiate before/after giving a name to the file.

    Hover over preview, in both the main and slave files:

    1. before giving a name to the root (main) file:
      1. doesn't works with |$...$|, |[...]|, and all
        |\begin{...}...\end{...}| in math and AMS math constructs when I
        hover over the \begin part,
      2. does work with \includegraphics, within |figure|
        environment,
      3. doesn't work with \includegraphics, outside |figure|
        environment,
    2. after giving a name to the root (main) file:
      1. does works with |$...$|, |[...]|, and all
        |\begin{...}...\end{...}| in math and AMS math constructs when I
        hover over the \begin part,
      2. does work with \includegraphics, within |figure|
        environment,
      3. does work with \includegraphics, outside |figure|
        environment, but only for new inserted ones.

    (Not easy to track down!)


    [feature-requests:#539]
    http://sourceforge.net/p/texstudio/feature-requests/539/ hover over
    preview oddities

    Status: open
    Created: Tue Sep 10, 2013 04:56 AM UTC by Anonymous
    Last Updated: Tue Sep 10, 2013 04:56 AM UTC
    Owner: nobody

    My experience with SVN version 2.6.3 (SVN 4157:4158M) under Windows 7:

    1-When I am using the root (main) file, hover over preview works with
    $...$, [...], and all \begin{..}...\end{..} in math and AMS math
    constructs when I hover over the \begin part. It does not work with any
    other environment that starts with \begin and does not work with graphic
    files or \includegraphics.

    2-When I am using a file that is not the main file and has been used by
    in \input command in the root file, the ONLY constructs for which hover
    over preview works are $...$ and $[...]. It does not work with ANY
    \begin{..}...\end{..} construct and does not work with graphics either.


    Sent from sourceforge.net because you indicated interest in
    https://sourceforge.net/p/texstudio/feature-requests/539/

    To unsubscribe from further messages, please visit
    https://sourceforge.net/auth/subscriptions/

     

    Related

    Feature Requests: #539

  • Denis Bitouzé
    Denis Bitouzé
    2013-09-10

    Le mardi 10/09/13 à 18h38,
    "Jan Sundermeyer" jsundermeyer@users.sf.net a écrit :

    Okay, fixed in latest revision

    Indeed, it works for math material, but not for \includegraphics
    outside |figure| environment (neither with named nor unnamed root
    files).
    --
    Denis

     
  • It works if you hover over the file name.

    On 10.09.2013 21:36, "Denis Bitouzé" wrote:

    Le mardi 10/09/13 à 18h38,
    "Jan Sundermeyer" jsundermeyer@users.sf.net
    jsundermeyer@users.sf.net a écrit :

    Okay, fixed in latest revision
    

    Indeed, it works for math material, but not for \includegraphics
    /outside/ |figure| environment (neither with named nor unnamed root
    files).
    --
    Denis


    [feature-requests:#539]
    http://sourceforge.net/p/texstudio/feature-requests/539/ hover over
    preview oddities

    Status: open
    Created: Tue Sep 10, 2013 04:56 AM UTC by Anonymous
    Last Updated: Tue Sep 10, 2013 06:33 AM UTC
    Owner: nobody

    My experience with SVN version 2.6.3 (SVN 4157:4158M) under Windows 7:

    1-When I am using the root (main) file, hover over preview works with
    $...$, [...], and all \begin{..}...\end{..} in math and AMS math
    constructs when I hover over the \begin part. It does not work with any
    other environment that starts with \begin and does not work with graphic
    files or \includegraphics.

    2-When I am using a file that is not the main file and has been used by
    in \input command in the root file, the ONLY constructs for which hover
    over preview works are $...$ and $[...]. It does not work with ANY
    \begin{..}...\end{..} construct and does not work with graphics either.


    Sent from sourceforge.net because you indicated interest in
    https://sourceforge.net/p/texstudio/feature-requests/539/

    To unsubscribe from further messages, please visit
    https://sourceforge.net/auth/subscriptions/

     

    Related

    Feature Requests: #539